RELEASE_TAR := $(BUILD_PREFIX)card-templates-$(shell grep '"version":' package.json -m 1 | cut -d '"' -f 4).tar.gz
RELEASE_INCLUDE_SRC :=
RELEASE_INCLUDE_ARTIFACTS := $(HANZI_DATA) $(BUILT_TEMPLATE_HTMLS) $(BUILT_TEMPLATE_SPECS) $(JSONP_OUTPUT)
RELEASE_CONTENT_SRC := $(addprefix $(RELEASE_DIR)/,$(RELEASE_INCLUDE_SRC))
RELEASE_CONTENT_ARTIFACTS := $(patsubst $(BUILD_PREFIX)%,$(RELEASE_DIR)/%,$(RELEASE_INCLUDE_ARTIFACTS))
RELEASE_CONTENT := $(RELEASE_CONTENT_SRC) $(RELEASE_CONTENT_ARTIFACTS)

MOSTLY_CLEAN += $(RELEASE_TAR)
MOSTLY_CLEAN_DIRS += $(RELEASE_DIR)

.PHONY: dist
dist: $(RELEASE_TAR)

$(RELEASE_CONTENT_SRC): $(RELEASE_DIR)/%: %
	@mkdir -p $(RELEASE_DIR)
	cp $^ $@

$(RELEASE_CONTENT_ARTIFACTS): $(RELEASE_DIR)/%: $(BUILD_PREFIX)%
	@mkdir -p $(RELEASE_DIR)
	cp $^ $@

$(RELEASE_TAR): $(RELEASE_INCLUDE_SRC) $(RELEASE_INCLUDE_ARTIFACTS)
# directory switch places templates dir into root instead of artifacts/templates
	tar -czf $@ $(RELEASE_INCLUDE_SRC) $(and $(BUILD_PREFIX),--directory=$(BUILD_PREFIX)) $(patsubst $(BUILD_PREFIX)%,%,$(RELEASE_INCLUDE_ARTIFACTS))
